> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Using the chosen credential, list the key collections available > Using the chosen credential, list the key collections available. ## OpenAPI ````json POST /sys/v1/groups/hmg/scan_collections { "openapi": "3.0.0", "info": { "title": "Fortanix DSM REST API", "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients. \n- PATCH requests accept a JSON value describing a partial update to the specified resource. All top-level fields in the PATCH request are optional. If an optional field is omitted, the existing value of that field is preserved. In general, for nested JSON objects, the request must provide the complete object value rather than a partial update.", "termsOfService": "https://fortanix.com/legal/agreements-and-standard-terms", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "0.1.0-20260928" }, "servers": [ { "url": "{dsmEndpoint}", "description": "DSM Endpoint", "variables": { "dsmEndpoint": { "default": "https://amer.smartkey.io", "description": "Type your DSM server URL here (include https://)" } } } ], "paths": { "/sys/v1/groups/hmg/scan_collections": { "post": { "operationId": "ListKeyCollections", "tags": [ "Groups" ], "security": [ { "bearerToken": [] }, { "apiKeyAuth": [] } ], "summary": "Using the chosen credential, list the key collections available.", "description": "Using the chosen credential, list the key collections available.", "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HmgListKeyCollectionsRequest" } } } }, "responses": { "2XX": { "description": "Success result", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HmgListKeyCollectionsResponse" } } } } } } } }, "components": { "schemas": { "HmgListKeyCollectionsRequest": { "oneOf": [ { "$ref": "#/components/schemas/HmgListKeyCollectionsRequestVariantOciVault" } ], "discriminator": { "propertyName": "$type", "mapping": { "OciVault": "HmgListKeyCollectionsRequestVariantOciVault" } } }, "HmgListKeyCollectionsResponse": { "oneOf": [ { "$ref": "#/components/schemas/HmgListKeyCollectionsResponseVariantOciKeyVault" } ], "discriminator": { "propertyName": "$type", "mapping": { "OciKeyVault": "HmgListKeyCollectionsResponseVariantOciKeyVault" } } }, "HmgListKeyCollectionsRequestVariantOciVault": { "allOf": [ { "type": "object", "properties": { "$type": { "type": "string", "enum": [ "OciVault" ] } }, "required": [ "$type" ] }, { "$ref": "#/components/schemas/ListOciVaultsRequest" } ] }, "HmgListKeyCollectionsResponseVariantOciKeyVault": { "allOf": [ { "type": "object", "properties": { "$type": { "type": "string", "enum": [ "OciKeyVault" ] } }, "required": [ "$type" ] }, { "$ref": "#/components/schemas/HmgListKeyCollectionsResponseOciKeyVault" } ] }, "ListOciVaultsRequest": { "allOf": [ { "type": "object", "properties": { "region": { "type": "string" }, "realm": { "$ref": "#/components/schemas/OciRealm" }, "compartment_ocid": { "type": "string" }, "credential_id": { "$ref": "#/components/schemas/CredentialId" } }, "required": [ "region", "compartment_ocid", "credential_id" ] } ] }, "HmgListKeyCollectionsResponseOciKeyVault": { "allOf": [ { "type": "object", "description": "A list of all the vaults accessible to the user configured", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/OciKeyVault" } } }, "required": [ "items" ] } ] }, "OciRealm": { "description": "Oci Realms falls into three broad categories:\n[Commercial (OCI Public Cloud)](https://docs.oracle.com/en-us/iaas/Content/General/Concepts/regions.htm)\n[Government (OCI Gov Cloud)](https://docs.oracle.com/en-us/iaas/Content/gov-cloud/govlanding.htm)\n[Dedicated (OCI DRCC)](https://docs.oracle.com/en-us/iaas/Content/General/Concepts/dedicatedregions.htm)\n\nFor our purposes, we have defined it as either Commercial (which is the default)\nor UserDefined, requiring input and primarily used in the Soverign Cloud context (Government/Dedicated).", "oneOf": [ { "$ref": "#/components/schemas/OciRealmVariantCommercial" }, { "$ref": "#/components/schemas/OciRealmVariantUserDefined" } ], "discriminator": { "propertyName": "$type", "mapping": { "commercial": "OciRealmVariantCommercial", "user_defined": "OciRealmVariantUserDefined" } } }, "CredentialId": { "description": "A wrapper type to provide better clarity that the id\nreferenced is an integration credential object.", "allOf": [ { "type": "string", "format": "uuid" } ] }, "OciKeyVault": { "allOf": [ { "type": "object", "properties": { "vault_name": { "type": "string", "maxLength": 4096, "pattern": "^[^\\n]*[^\\s\\n][^\\n]*$" }, "vault_type": { "type": "string" }, "vault_id": { "type": "string" } }, "required": [ "vault_name", "vault_type", "vault_id" ] } ] }, "OciRealmVariantCommercial": { "allOf": [ { "type": "object", "properties": { "$type": { "type": "string", "enum": [ "commercial" ] } }, "required": [ "$type" ] }, { "type": "object", "properties": {} } ] }, "OciRealmVariantUserDefined": { "allOf": [ { "type": "object", "properties": { "$type": { "type": "string", "enum": [ "user_defined" ] } }, "required": [ "$type" ] }, { "$ref": "#/components/schemas/OciRealmUserDefined" } ] }, "OciRealmUserDefined": { "allOf": [ { "type": "object", "properties": { "realm_key": { "type": "string" }, "domain": { "type": "string" } }, "required": [ "realm_key", "domain" ] } ] } }, "securitySchemes": { "bearerToken": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" }, "apiKeyAuth": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "Please enter your token prefixed with 'Basic ' (e.g., 'Basic your_token_here')" } } } } ````